---
name: "notepad plus plus"
description: >-
  Mode for the Notepad++ application.
  This is an excellent application for editing Utterly Voice settings files
  and other code files.
  If you use this application often,
  you should add commands you use frequently for the mode.
  See the
  <a href="https://notepad-plus-plus.org/">Notepad++ site</a>
  and
  <a href="https://www.makeuseof.com/notepad-plus-keyboard-shortcuts/">keyboard shortcuts</a>.
alternates:
  - "no pad plus plus"
initiallyActive: false
exclusive: false
commands:
  - name: "file menu"
    description: >-
      Go to the file menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "f"
  - name: "edit menu"
    description: >-
      Go to the edit menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "e"
  - name: "search menu"
    description: >-
      Go to the search menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "s"
  - name: "view menu"
    description: >-
      Go to the view menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "v"
  - name: "encoding menu"
    description: >-
      Go to the encoding menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "n"
  - name: "language menu"
    description: >-
      Go to the language menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "l"
  - name: "settings menu"
    description: >-
      Go to the settings menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "t"
  - name: "tools menu"
    description: >-
      Go to the tools menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "o"
  - name: "macro menu"
    description: >-
      Go to the macro menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "m"
  - name: "run menu"
    description: >-
      Go to the run menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "r"
  - name: "plugins menu"
    description: >-
      Go to the plugins menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "p"
  - name: "window menu"
    description: >-
      Go to the window menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "w"
  - name: "help menu"
    description: >-
      Go to the help menu.
      Use the direction commands ("go up/down"), "enter", and "escape"
      to navigate the menu.
    functions:
      - name: "keyHold"
        fixedArguments:
          - "alt"
      - name: "type"
        fixedArguments:
          - "?"
      - name: "keyRelease"
        fixedArguments:
          - "alt"
  - name: "open file"
    description: >-
      Opens a file.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "o"
  - name: "save file"
    description: >-
      Saves a file.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "s"
  - name: "go right file"
    description: >-
      Opens the next file tab.
      Accepts an optional number of times to execute the command.
    functions:
      - name: "keyRepeat"
        fixedArguments:
          - "control"
          - "tab"
        utteranceArguments: 1
  - name: "go left file"
    description: >-
      Opens the previous file tab.
      Accepts an optional number of times to execute the command.
    functions:
      - name: "keyRepeat"
        fixedArguments:
          - "control"
          - "shift"
          - "tab"
        utteranceArguments: 1
  - name: "close file"
    description: >-
      Closes current file.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "w"
  - name: "copy"
    description: >-
      Types control-c to copy content to clipboard.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "c"
  - name: "cut"
    description: >-
      Types control-x to cut content to the clipboard.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "x"
  - name: "paste"
    description: >-
      Types control-v to paste content.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "v"


